org.eclipse.jetty.deploy

## Class FileConfigurationManager

- java.lang.Object
- - org.eclipse.jetty.deploy.FileConfigurationManager

- All Implemented Interfaces:
    ConfigurationManager

      public class FileConfigurationManager
      extends Object
      implements ConfigurationManager

  FileConfigurationManager Supplies properties defined in a file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileConfigurationManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getProperties()`
    `void` | `setFile(String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileConfigurationManager

          public FileConfigurationManager()

  - ### Method Detail

    - #### setFile

          public void setFile(String filename)
                       throws MalformedURLException,
                              IOException

      Throws:
        `MalformedURLException`
        `IOException`

    - #### getProperties

          public Map<String,String> getProperties()

      Specified by:
        `getProperties` in interface `ConfigurationManager`
      See Also:
        `ConfigurationManager.getProperties()`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.